﻿@model string
    <div style="direction:ltr">
        @(Html.Kendo().Dialog()
                .Name("categoryselectdialog_" + Model)
                .Title("انتخاب")
                .Content(
                    Html.Kendo().TreeView()
                    .Name("treeview_" + Model)
                    .DataTextField("name")
                    .LoadOnDemand(true)
                    .AutoScroll(false)
                    .Events(ev => ev.Select("onTreeSelect_" + Model))
                    .DataSource(dataSource => dataSource
                        .Read(read => read
                            .Action("GetCounselorCats", "RemoteData")
                        )
                    ).ToHtmlString()
                )
                .Width(400)
                .Modal(true)
                .Visible(false)
                .Animation(true)
                .Actions(actions =>
                {
                    actions.Add().Text("انصراف");
                    actions.Add().Text("انتخاب").Primary(true);
                })
        )
    </div>

<script>
    function onTreeSelect_@Model (e) {
        var data = e.sender.wrapper.data('kendoTreeView').dataItem(e.node);
        console.log(data);
        $('#@Model').val(data.id).trigger('change');
        $('#categoryselectedlabel_@Model').html(data.name);
    }
</script>